<?php
/**
*
* hcode [English]
*
* @package hcode: code sintax highlighter
* @copyright (c) 2014 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_HCODE'						=> 'Code sintax highlghter',
	'ACP_HCODE_EXPLAIN'				=> 'Settings',

	'ACP_HCODE_DESCRIPTION'			=> 'This extension for BB-code \'code\' sintax highlight and more...',

	'ACP_HCODE_HIGHLIGHT'			=> 'Sintax highlight',
	'ACP_HCODE_HIGHLIGHTJS'			=> 'Highlight style and script',
	'ACP_HCODE_HIGHLIGHTJS_EXPLAIN'	=> 'See <a href="https://highlightjs.org/" target="_blank">highlight.js</a> and <a href="https://highlightjs.org/static/demo/" target="_blank">languages and styles</a>; empty window resote defaults',
	'ACP_HCODE_AUTO'				=> 'Automatic language detection',
	'ACP_HCODE_AUTO_EXPLAIN'		=> 'Languages comma separated list with single quotation mark inside [] (for example: <i>[\'xml\',\'php\',\'js\',\'css\']</i>, default: <i>[\'xml\']</i>), use empty string (will be automatically replaced by <i>[]</i>) to switch off autodetection',

	'ACP_HCODE_DEFAULTS'			=> 'Defaults',
	'ACP_HCODE_EXPAND'				=> 'Vertcal expand',
	'ACP_HCODE_EXPAND_EXPLAIN'		=> 'Switch ON/OFF vertical expansion of the code window',
	'ACP_HCODE_LINENUMS'			=> 'Line Numbers',
	'ACP_HCODE_LINENUMS_EXPLAIN'	=> 'Switch ON/OFF line numbers',
	'ACP_HCODE_WRAP'				=> 'Wrap long lines',
	'ACP_HCODE_WRAP_EXPLAIN'		=> 'Switch ON/OFF long lines wrap (if line numbers ON, long lines always unwrap)',

	'ACP_HCODE_STYLE_PROSILVER'		=> 'prosilver and child styles',
	'ACP_HCODE_PROSILVER_CODE_OPEN'			=> 'Open BB-code',
	'ACP_HCODE_PROSILVER_CODE_OPEN_EXPLAIN'		=> 'html, js; empty string resore defaults',
	'ACP_HCODE_PROSILVER_CODE_CLOSE'		=> 'Close BB-code',
	'ACP_HCODE_PROSILVER_CODE_CLOSE_EXPLAIN'	=> 'html, js; empty string resore defaults',
	'ACP_HCODE_PROSILVER'			=> 'Style for pre code',
	'ACP_HCODE_PROSILVER_EXPLAIN'	=> 'css (without style tag) for pre code blocks, empty window resore defaults',
	
	'ACP_HCODE_STYLE_SUBSILVER2'	=> 'subsilver2 and child styles',
	'ACP_HCODE_SUBSILVER2_CODE_OPEN'		=> 'Open BB-code',
	'ACP_HCODE_SUBSILVER2_CODE_OPEN_EXPLAIN'	=> 'html, js; empty string resore defaults',
	'ACP_HCODE_SUBSILVER2_CODE_CLOSE'		=> 'Close BB-code',
	'ACP_HCODE_SUBSILVER2_CODE_CLOSE_EXPLAIN'	=> 'html, js; empty string resore defaults',
	'ACP_HCODE_SUBSILVER2'			=> 'Style for pre code',
	'ACP_HCODE_SUBSILVER2_EXPLAIN'	=> 'css (without style tag) for pre code blocks, empty window resore defaults',

	'ACP_HCODE_HLJS'				=> 'Init and exec',
	'ACP_HCODE_HLJS_SCRIPT'			=> 'Script for start and process code blocks',
	'ACP_HCODE_HLJS_SCRIPT_EXPLAIN'		=> 'js (without javascript tag), empty window resore defaults',
));
