<?php
/**
*
* hcode [Russian]
*
* @package hcode: code sintax highlighter
* @copyright (c) 2014 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_HCODE'						=> 'Подсветка синтаксиса кода',
	'ACP_HCODE_EXPLAIN'				=> 'Изменение настроек',

	'ACP_HCODE_DESCRIPTION'			=> 'Расширение позволяет выполнить подсветку синтаксиса для ББ-кода code, включая дополнительный функционал.',

	'ACP_HCODE_HIGHLIGHT'			=> 'Подсветка синтаксиса',
	'ACP_HCODE_HIGHLIGHTJS'			=> 'Стиль подсветки и скрипт',
	'ACP_HCODE_HIGHLIGHTJS_EXPLAIN'	=> 'Используется <a href="https://highlightjs.org/" target="_blank">highlight.js</a>, см. поддерживаеые <a href="https://highlightjs.org/static/demo/" target="_blank">языки и стили</a>; пустое окно восстанавливает умолчание',
	'ACP_HCODE_AUTO'				=> 'Автоматическое распознавание языка',
	'ACP_HCODE_AUTO_EXPLAIN'		=> 'Список языков в одинарных кавычках через запятую внутри [] (например: <i>[\'xml\',\'php\',\'js\',\'css\']</i>, по умолчанию: <i>[\'xml\']</i>), пустая строка заменяется на <i>[]</i> и отключает распознавание',

	'ACP_HCODE_DEFAULTS'			=> 'Настройки по умолчанию',
	'ACP_HCODE_EXPAND'				=> 'Разворачивание по вертикали',
	'ACP_HCODE_EXPAND_EXPLAIN'		=> 'Включить разворачивание окна кода по вертикали',
	'ACP_HCODE_LINENUMS'			=> 'Нумерация строк',
	'ACP_HCODE_LINENUMS_EXPLAIN'	=> 'Включить нумерацию строк',
	'ACP_HCODE_WRAP'				=> 'Разворачивание строк',
	'ACP_HCODE_WRAP_EXPLAIN'		=> 'Включить разворачивание длинных строк (при включенной нумерации длинные строки всегда разворачиваются)',

	'ACP_HCODE_STYLE_PROSILVER'		=> 'prosilver и дочерние стили',
	'ACP_HCODE_PROSILVER_CODE_OPEN'			=> 'Открытие ББ-кода code',
	'ACP_HCODE_PROSILVER_CODE_OPEN_EXPLAIN'		=> 'Код html, js; пустая строка восстанавливает значение по умолчанию',
	'ACP_HCODE_PROSILVER_CODE_CLOSE'		=> 'Закрытие ББ-кода code',
	'ACP_HCODE_PROSILVER_CODE_CLOSE_EXPLAIN'	=> 'Код html, js; пустая строка восстанавливает значение по умолчанию',
	'ACP_HCODE_PROSILVER'			=> 'Стили pre code',
	'ACP_HCODE_PROSILVER_EXPLAIN'	=> 'css (без тега style) для блоков pre code, пустое окно восстанавливает стиль по умолчанию',
	
	'ACP_HCODE_STYLE_SUBSILVER2'	=> 'subsilver2 и дочерние стили',
	'ACP_HCODE_SUBSILVER2_CODE_OPEN'		=> 'Открытие ББ-кода code',
	'ACP_HCODE_SUBSILVER2_CODE_OPEN_EXPLAIN'	=> 'Код html, js; пустая строка восстанавливает значение по умолчанию',
	'ACP_HCODE_SUBSILVER2_CODE_CLOSE'		=> 'Закрытие ББ-кода code',
	'ACP_HCODE_SUBSILVER2_CODE_CLOSE_EXPLAIN'	=> 'Код html, js; пустая строка восстанавливает значение по умолчанию',
	'ACP_HCODE_SUBSILVER2'			=> 'Стили pre code',
	'ACP_HCODE_SUBSILVER2_EXPLAIN'	=> 'css (без тега style) для блоков pre code, пустое окно восстанавливает стиль по умолчанию',

	'ACP_HCODE_HLJS'				=> 'Инициализация и выполнение',
	'ACP_HCODE_HLJS_SCRIPT'			=> 'Скрипт запуска и обработки блоков кода',
	'ACP_HCODE_HLJS_SCRIPT_EXPLAIN'		=> 'js (без тега javascript), пустое окно восстанавливает скрипт по умолчанию',
));
